/*

  OBI 2003
  Problema: Parque Jurassico
  Autor : Rodrigo Schmidt

  Estrategia: Programacao Dinamica utilizando uma ideia semelhante
  ao problema LCS (Subsequencia Comum de Tamanho Maximo)

  Complexidade de Tempo e Espaco: O( |S1| * |S2| )

*/


#include <stdio.h>
#include <string.h>

int  tab[101][101];   /* tabela de programacao dinamica */
char s1[101], s2[101];

void print(i,j) /* impressao da saida feita recursivamente */
{
  int k;

  if (i==0)
    {
      for(k=0;k<j;k++)
	printf("%c",s1[k]);
      return;
    }

  if (j==0)
    {
      for(k=0;k<i;k++)
	printf("%c",s2[k]);
      return;
    }

  if( s1[j-1] == s2[i-1] )
    {
      print(i-1,j-1);
      printf("%c",s1[j-1]);
    }
  else if ( tab[i][j] == tab[i][j-1]+1)
    {
      print(i,j-1);
      printf("%c",s1[j-1]);
    }
  else
    {
      print(i-1,j);
      printf("%c",s2[i-1]);
    }
}


int main (void)
{
  int i,j,teste=1;

  while((scanf("%s",s1)==1) && (s1[0]!='#'))
    {
      scanf("%s",s2);
      tab[0][0] = 0;

      /* inicializacao */

      for(i=0;s1[i]!='\0';i++)
	tab[0][i+1] = i+1;
      for(i=0;s2[i]!='\0';i++)
	tab[i+1][0] = i+1;

      /* programacao dinamica */

      for(i=1;i<=strlen(s2);i++)
	for(j=1;j<=strlen(s1);j++)
	  {
	    if (s1[j-1] == s2[i-1])
	      {
		tab[i][j] = tab[i-1][j-1];
	      }
	    else
	      {
		tab[i][j] = tab[i-1][j];
		if (tab[i][j] > tab[i][j-1])
		  tab[i][j] = tab[i][j-1];
		tab[i][j]++;
	      }
	  }

      /* impressao da saida */
      printf("Teste %d\n",teste++);
      print(strlen(s2),strlen(s1));
      printf("\n\n");
    }

}
